<?php
/**
 check_login.php?login=<jmeno>&pwd=<heslo>
 get_list.php?login=<jmeno>&pwd=<heslo>&id_exported=[id_exported]
 get_photo.php?login=<jmeno>&pwd=<heslo>&id_exported=[id_exported]
 get_video.php?login=<jmeno>&pwd=<heslo>&id_exported=[id_exported]
 import.php?login=<jmeno>&pwd=<heslo>&filename=<soubor.xml>
 nemo_detail.php?login=<jmeno>&pwd=<heslo>&id_exported=<id_exported>
 hop.php?login=<jmeno>&pwd=<heslo>&id_exported=<id_exported>
 nemo_stats.php?login=<jmeno>&pwd=<heslo>&xml=<bool>&date=<YYYY-MM-DD>
 agent_kill.php?login=<jmeno>&pwd=<heslo>&mode=<mode>&ids=[id_agent]

 */

class Dalten_Export_Api_Backend_Idnes_Request implements Dalten_Export_Api_Backend_Idnes_RequestInterface
{
	public function get($url)
	{
        $connection = curl_init((string) $url);
		curl_setopt ($connection, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($connection, CURLOPT_CAINFO, \Composer\CaBundle\CaBundle::getBundledCaBundlePath());
		$response = curl_exec($connection);
		curl_close($connection);
		return $response;
	}
}
